package com.liang.sca.goods.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.liang.sca.goods.model.ShopProduct;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface ShopProductMapper extends BaseMapper<ShopProduct> {

    @Select("SELECT shop_sku FROM tb_shop_product WHERE shop_id = #{shopId} and shop_spu = #{spuId}")
    List<Long> skusByShopAndSpu(Long shopId, Long spuId);
}
