package com.liang.sca.goods.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@TableName("tb_product_sku")
@Data
public class ProductSku implements Serializable {

    @TableId("sku_id")
    private Long skuId;

    @TableField("spu_id")
    private Long spuId;

    @TableField("sku_property")
    private String skuProperty;

    @TableField("sku_property_value")
    private String skuPropertyValue;

    @TableField("sku_store")
    private Integer skuStore;

    @TableField("sku_price")
    private BigDecimal skuPrice;

}
