package com.liang.sca.goods.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@TableName("tb_product_spu")
@Data
public class ProductSpu implements Serializable {

    @TableId("spu_id")
    private Long spuId;

    @TableField("spu_name")
    private String spuName;

    @TableField("spu_type")
    private String spuType;

    @TableField("spu_price")
    private BigDecimal spuPrice;

    @TableField("spu_store")
    private Integer spuStore;

    @TableField("spu_detail")
    private String spuDetail;

    @TableField("spu_sales_count")
    private Integer spuSalesCount;

    @TableField("spu_score")
    private BigDecimal spuScore;

    @TableField("spu_score_tow")
    private BigDecimal spuScoreTwo;
}
