package com.liang.sca.goods.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@TableName("tb_shop_product")
@Data
public class ShopProduct implements Serializable {

    @TableId("shop_id")
    private Long shopId;

    @TableField("shop_name")
    private String shopName;

    @TableField("shop_spu")
    private Long shopSpu;

    @TableField("shop_sku")
    private Long shopSku;

    @TableField("shop_store")
    private Integer shopStore;

    @TableField("shop_price")
    private BigDecimal shopPrice;

}
