package com.liang.sca.goods.model.type;

import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

import java.math.BigDecimal;

@Document(indexName = "shop_product_info")
@Data
public class ShopProductInfo {

    @Id
    private String id;

    @Field(type = FieldType.Text)
    private String shopProductId;

    @Field(type = FieldType.Text)
    private String shopId;

    @Field(type = FieldType.Text)
    private String shopName;

    @Field(type = FieldType.Text)
    private String spuId;

    @Field(type = FieldType.Text)
    private String productName;

    @Field(type = FieldType.Text)
    private String skus;

    @Field(type = FieldType.Integer)
    private Integer store;

    @Field(type = FieldType.Double)
    private BigDecimal spuPrice;

    @Field(type = FieldType.Integer)
    private Integer salesCount;

    @Field(type = FieldType.Double)
    private BigDecimal score;

    @Field(type = FieldType.Double)
    private BigDecimal scoreTwo;

}
