package com.liang.sca.order.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.math.BigInteger;

@Data
@TableName("tb_order_info")
public class OrderInfo {

    @TableId("n_order_id")
    private BigInteger orderId;
    @TableField("c_clnt_name")
    private String clntName;
    @TableField("c_good_id")
    private String goodId;
    @TableField("n_buy_nums")
    private Integer buyNums;
    @TableField("n_price")
    private BigDecimal price;
    @TableField("c_pay_status")
    private String payStatus;
    @TableField("n_actul_pay")
    private BigDecimal actulPay;

}
