package com.liang.sca.order.service;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import java.math.BigInteger;
import java.util.List;
import java.util.Map;

@FeignClient("goods-service")
public interface GoodsInfoService {

    @GetMapping("/goods/infos")
    List<Map<String, Object>> queryGoodsInfo();

    @GetMapping("/goods/buy/{goodsId}/{counts}")
    void buyGoods(@PathVariable BigInteger goodsId, @PathVariable int counts);
}
